Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
H5VL_dataset_class_t Struct Reference

`#include <src/H5VLconnector.h>`

## Data Fields
herr_t(* | close )(void *dset, hid_t dxpl_id, void **req)
void *(* | create )(void *obj, const H5VL_loc_params_t *loc_params, const char *name, hid_t lcpl_id, hid_t type_id, hid_t space_id, hid_t dcpl_id, hid_t dapl_id, hid_t dxpl_id, void **req)
herr_t(* | get )(void *obj, H5VL_dataset_get_args_t *args, hid_t dxpl_id, void **req)
void *(* | open )(void *obj, const H5VL_loc_params_t *loc_params, const char *name, hid_t dapl_id, hid_t dxpl_id, void **req)
herr_t(* | optional )(void *obj, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)
herr_t(* | read )(size_t count, void *dset[], hid_t mem_type_id[], hid_t mem_space_id[], hid_t file_space_id[], hid_t dxpl_id, void *buf[], void **req)
herr_t(* | specific )(void *obj, H5VL_dataset_specific_args_t *args, hid_t dxpl_id, void **req)
herr_t(* | write )(size_t count, void *dset[], hid_t mem_type_id[], hid_t mem_space_id[], hid_t file_space_id[], hid_t dxpl_id, const void *buf[], void **req)

## Field Documentation

## ◆ close

herr_t(* close) (void *dset, hid_t dxpl_id, void **req)

## ◆ create

void *(* create) (void *obj, const H5VL_loc_params_t *loc_params, const char *name, hid_t lcpl_id, hid_t type_id, hid_t space_id, hid_t dcpl_id, hid_t dapl_id, hid_t dxpl_id, void **req)

## ◆ get

herr_t(* get) (void *obj, H5VL_dataset_get_args_t *args, hid_t dxpl_id, void **req)

## ◆ open

void *(* open) (void *obj, const H5VL_loc_params_t *loc_params, const char *name, hid_t dapl_id, hid_t dxpl_id, void **req)

## ◆ optional

herr_t(* optional) (void *obj, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)

## ◆ read

herr_t(* read) (size_t count, void *dset[], hid_t mem_type_id[], hid_t mem_space_id[], hid_t file_space_id[], hid_t dxpl_id, void *buf[], void **req)

## ◆ specific

herr_t(* specific) (void *obj, H5VL_dataset_specific_args_t *args, hid_t dxpl_id, void **req)

## ◆ write

herr_t(* write) (size_t count, void *dset[], hid_t mem_type_id[], hid_t mem_space_id[], hid_t file_space_id[], hid_t dxpl_id, const void *buf[], void **req)

The documentation for this struct was generated from the following file:

- src/H5VLconnector.h